#ifndef MORSE_H
#define MORSE_H

/* a module for  the morse potential
 *a submodule of potential.c. Probably should't be used alone
 *
 * prefix mp_
 */
 
#include"std_h.h"
#include"mc_math_h.h"
#include"keywords.c"

/*
 FUNCTION: double morse: calculates the pairwise morse potential
 * OUTPUT: morse potential in units of kt
 * INPUT: the separation of the two particles
 */
double morse(double distance);

/*read function for morse*/
void mp_read (FILE *infile);



#include"morse.c"
#endif
