#ifndef PT_INIT_H
#define PT_INIT_H

/*A MODULE FOR THE Setting up of MPI for 1D paralell tempering*/
#include"mpi_h.h"

/*globals*/
/*the index of this rank*/
int pt_rank;
/*the number of simulations total*/
int pt_size;


/*Function: void pt_init sets up the MPI library and fills in pt_rank and pt_size*/
void pt_init(void);

/*Function: void pt_end winds down the mpi library*/
void pt_end(void);

#include"pt_init.c"

#endif
